Daemon Power

The NetBSD Packages Collection: devel/cmake

Brief description of the package:
Cross platform make

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.cmake.org/.

Please note that this package has a modified-bsd license.

The package is located in the "devel/cmake" directory. The current source version of the package is "cmake-3.9.6". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/cmake :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: libarchive>=3.0.0 cwrappers>=20150314 libarchive>=3.1 libuv>=1.6 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 libarchive>=3.3.1 curl>=7.55.1nb1 rhash>=1.3.1 .

This package requires the following package(s) to run: libarchive>=3.0.0 libarchive>=3.1 libuv>=1.6 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 libarchive>=3.3.1 curl>=7.55.1nb1 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:cmake-3.5.0.tgz(NetBSD 7.0)
alpha:cmake-3.3.1.tgz(NetBSD 7.0)
alpha:cmake-3.4.1nb1.tgz(NetBSD 7.0)
alpha:cmake-3.8.2.tgz(NetBSD 8.0)
earm:cmake-3.4.1nb1.tgz(NetBSD 7.0)
earm:cmake-3.1.3.tgz(NetBSD 7.0)
earm:cmake-3.2.3nb1.tgz(NetBSD 7.0)
earm:cmake-3.3.1.tgz(NetBSD 7.0)
earm:cmake-3.4.1nb1.tgz(NetBSD 7.0)
earmv4:cmake-3.8.2.tgz(NetBSD 7.1)
earmv6hf:cmake-3.1.3.tgz(NetBSD 7.0)
earmv6hf:cmake-3.3.1.tgz(NetBSD 7.0)
earmv6hf:cmake-3.4.1nb1.tgz(NetBSD 7.0)
earmv7hf:cmake-3.4.1nb1.tgz(NetBSD 7.0)
earmv7hf:cmake-3.3.1.tgz(NetBSD 7.0)
earmv7hf:cmake-3.3.2.tgz(NetBSD 7.99.21)
earmv7hf:cmake-3.8.2.tgz(NetBSD 8.0_BETA)
earmv7hfeb:cmake-3.4.3.tgz(NetBSD 7.0)
i386:cmake-2.8.12.2nb3.tgz(MirBSD 10)
i386:cmake-3.9.2nb1.tgz(NetBSD 6.0)
i386:cmake-3.6.2.tgz(NetBSD 6.0)
i386:cmake-3.7.2.tgz(NetBSD 6.0)
i386:cmake-3.8.2.tgz(NetBSD 6.0)
i386:cmake-3.8.2.tgz(NetBSD 6.1)
i386:cmake-3.6.2.tgz(NetBSD 7.0)
i386:cmake-3.7.1nb3.tgz(NetBSD 7.0)
i386:cmake-3.7.2.tgz(NetBSD 7.0)
i386:cmake-3.8.2.tgz(NetBSD 7.0)
i386:cmake-2.8.5.tgz(QNX 6.5.0)
m68k:cmake-3.4.3nb1.tgz(NetBSD 7.0)
powerpc:cmake-3.6.2.tgz(NetBSD 6.0)
powerpc:cmake-3.8.2.tgz(NetBSD 6.1)
powerpc:cmake-3.4.1nb1.tgz(NetBSD 7.0)
powerpc:cmake-3.8.2.tgz(NetBSD 7.1)
powerpc:cmake-3.9.2nb1.tgz(NetBSD 7.1)
powerpc:cmake-3.8.2.tgz(NetBSD 8.0)
powerpc:cmake-3.9.2nb1.tgz(NetBSD 8.0)
sparc64:cmake-3.1.3.tgz(NetBSD 7.0)
sparc64:cmake-3.2.3nb1.tgz(NetBSD 7.0)
sparc64:cmake-3.4.1nb1.tgz(NetBSD 7.0)
sparc64:cmake-3.7.1nb1.tgz(NetBSD 7.1_RC1)
sparc:cmake-3.2.3nb1.tgz(NetBSD 5.1)
sparc:cmake-3.1.3.tgz(NetBSD 5.1)
sparc:cmake-3.3.1.tgz(NetBSD 5.1)
sparc:cmake-3.0.1.tgz(NetBSD 6.0)
sparc:cmake-3.3.1.tgz(NetBSD 7.0)
sparc:cmake-3.6.2.tgz(NetBSD 7.0)
vax:cmake-3.5.0.tgz(NetBSD 7.0)
x86_64:cmake-3.9.2nb1.tgz(NetBSD 6.0)
x86_64:cmake-3.6.2.tgz(NetBSD 6.0)
x86_64:cmake-3.7.2.tgz(NetBSD 6.0)
x86_64:cmake-3.8.2.tgz(NetBSD 6.0)
x86_64:cmake-3.9.2nb1.tgz(NetBSD 6.1)
x86_64:cmake-3.6.2.tgz(NetBSD 6.1)
x86_64:cmake-3.7.1nb3.tgz(NetBSD 6.1)
x86_64:cmake-3.7.2.tgz(NetBSD 6.1)
x86_64:cmake-3.8.2.tgz(NetBSD 6.1)
x86_64:cmake-3.9.2nb1.tgz(NetBSD 7.0)
x86_64:cmake-3.6.2.tgz(NetBSD 7.0)
x86_64:cmake-3.7.1nb3.tgz(NetBSD 7.0)
x86_64:cmake-3.7.2.tgz(NetBSD 7.0)
x86_64:cmake-3.8.2.tgz(NetBSD 7.0)
x86_64:cmake-3.8.2.tgz(NetBSD 7.0.1_PATCH)
x86_64:cmake-3.8.2.tgz(NetBSD 8.99.1)
x86_64:cmake-3.9.1nb1.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]